<?php


/*
 * Creates a graphic
 */
function rg_gd_graph($a)
{
	$i = imageCreateTrueColor($a['w'], $a['h']);
	if ($i === FALSE)
		return FALSE;

	imageSaveAlpha($i, TRUE);

	if (isset($a['bg'])) {
		$c = $a['bg'];
		$bg = ImageColorAllocate($i, $c['r'], $c['g'], $c['b']);
		imageFill($i, 0, 0, $bg);
	}


	// How many seconds?
	$secons = $a['end'] - $a['start'] + 1;

	// one vertical line means how many seconds?
	$colums = intval($seconds / $a['seconds_per_column']);

	$line = 0;
	// Draw title
	if (isset($a['title_color']))
		$c = $a['title_color'];
	else
		$c = array("r" => 0, "g" => 0, "b" => 255);
	$tc = imageColorAllocate($i, $c['r'], $c['g'], $c['b']);
	imageString($i, 4, 3, $line, $a['title'], $tc);
	$line += 20;

	// main rectangle
	if (isset($a['border_color']))
		$c = $a['border_color'];
	else
		$c = array("r" => 0, "g" => 0, "b" => 0);
	$bc = imageColorAllocate($i, $c['r'], $c['g'], $c['b']);
	imageRectangle($i, 0, $line, $a['w'] - 1, $a['h'] - 1, $bc);

}

?>
